declare const CWidgetProgress: import("vue").DefineComponent<{
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors. [docs]
     *
     * @values 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | string
     */
    color: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
    };
    inverse: {
        type: BooleanConstructor;
        default: undefined;
        require: boolean;
    };
    /**
     * Sets the color context of the progress bar to one of CoreUI’s themed colors. [docs]
     *
     * @values 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'info' | 'dark' | 'light' | string
     */
    progressColor: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
    };
    progressValue: {
        type: NumberConstructor;
        default: number;
        require: boolean;
    };
    text: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
    };
    title: {
        type: StringConstructor;
        default: undefined;
        require: boolean;
    };
    value: {
        type: NumberConstructor;
        default: number;
        require: boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    color?: unknown;
    inverse?: unknown;
    progressColor?: unknown;
    progressValue?: unknown;
    text?: unknown;
    title?: unknown;
    value?: unknown;
} & {
    progressValue: number;
    value: number;
} & {
    color?: string | undefined;
    inverse?: boolean | undefined;
    progressColor?: string | undefined;
    text?: string | undefined;
    title?: string | undefined;
}>, {
    color: string;
    inverse: boolean;
    progressColor: string;
    progressValue: number;
    text: string;
    title: string;
    value: number;
}>;
export { CWidgetProgress };
